Check-in [3c71954242]
Overview
Comment:Added some hashes for individual packages
Downloads: Tarball | ZIP archive | SQL archive
Timelines: family | ancestors | descendants | both | trunk
Files: files | file ages | folders
SHA1:3c719542428d5fe905a1d02240020d50953b1850
User & Date: rkeene on 2016-02-24 19:59:49
Other Links: manifest | tags
Context
2016-02-24
20:00
Added Tcl 8.5.19 to the web interface check-in: f71b69d91f user: rkeene tags: trunk
19:59
Added some hashes for individual packages check-in: 3c71954242 user: rkeene tags: trunk
19:39
Added common downloader script check-in: d9b5ef323c user: rkeene tags: trunk
Changes

Modified dbus/build.sh from [9243806e9e] to [374386d172].

    17     17   mkdir 'build' 'out' 'inst' || exit 1
    18     18   
    19     19   # The dbus package
    20     20   
    21     21   DBUSVERS="2.0"
    22     22   SRC="src/dbus-${DBUSVERS}.tar.gz"
    23     23   SRCURL="http://sourceforge.net/projects/dbus-tcl/files/dbus/${DBUSVERS}/dbus-${DBUSVERS}.tar.gz/download"
           24  +SRCHASH='-'
    24     25   BUILDDIR="$(pwd)/build/dbus-${DBUSVERS}"
    25     26   OUTDIR="$(pwd)/out"
    26     27   INSTDIR="$(pwd)/inst"
    27     28   export DBUSVERS SRC SRCURL BUILDDIR OUTDIR INSTDIR
    28     29   
    29     30   # Set configure options for this sub-project
    30     31   LDFLAGS="${LDFLAGS} ${KC_DBUS_LDFLAGS}"
................................................................................
    33     34   LIBS="${LIBS} ${KC_DBUS_LIBS}"
    34     35   export LDFLAGS CFLAGS CPPFLAGS LIBS
    35     36   
    36     37   if [ ! -f "${SRC}" ]; then
    37     38   	mkdir 'src' >/dev/null 2>/dev/null
    38     39   
    39     40   	if [ ! -d 'buildsrc' ]; then
    40         -		download "${SRCURL}" "${SRC}" - || exit 1
           41  +		download "${SRCURL}" "${SRC}" "${SRCHASH}" || exit 1
    41     42   	fi
    42     43   fi
    43     44   
    44     45   (
    45     46   	cd 'build' || exit 1
    46     47   
    47     48   	if [ ! -d '../buildsrc' ]; then

Modified itcl/build.sh from [6bc2ce1219] to [a1e30e5a0a].

    11     11   	exit 1
    12     12   fi
    13     13   
    14     14   ITCLVERS="3.4.2"
    15     15   ITCLVERSEXTRA=""
    16     16   SRC="src/itcl-${ITCLVERS}.tar.gz"
    17     17   SRCURL="http://sourceforge.net/projects/incrtcl/files/%5BIncr%20Tcl_Tk%5D-source/${ITCLVERS}/itcl${ITCLVERS}${ITCLVERSEXTRA}.tar.gz/download"
           18  +SRCHASH='-'
    18     19   BUILDDIR="$(pwd)/build/itcl${ITCLVERS}"
    19     20   OUTDIR="$(pwd)/out"
    20     21   INSTDIR="$(pwd)/inst"
    21     22   export ITCLVERS SRC SRCURL BUILDDIR OUTDIR INSTDIR
    22     23   
    23     24   # Set configure options for this sub-project
    24     25   LDFLAGS="${LDFLAGS} ${KC_ITCL_LDFLAGS}"
................................................................................
    55     56   	exit 1
    56     57   ) || exit 0
    57     58   
    58     59   if [ ! -f "${SRC}" ]; then
    59     60   	mkdir 'src' >/dev/null 2>/dev/null
    60     61   
    61     62   	if [ ! -d 'buildsrc' ]; then
    62         -		download "${SRCURL}" "${SRC}" - || exit 1
           63  +		download "${SRCURL}" "${SRC}" "${SRCHASH}" || exit 1
    63     64   	fi
    64     65   fi
    65     66   
    66     67   (
    67     68   	cd 'build' || exit 1
    68     69   
    69     70   	if [ ! -d '../buildsrc' ]; then

Modified mk4tcl/build.sh from [5fd2ea249e] to [044d5dd870].

    11     11   	exit 1
    12     12   fi
    13     13   
    14     14   MK4VERS="2.4.9.7"
    15     15   SRC="src/metakit-${MK4VERS}.tar.gz"
    16     16   SRCURL="http://www.equi4.com/pub/mk/metakit-${MK4VERS}.tar.gz"
    17     17   SRCURL="http://pkgs.fedoraproject.org/repo/pkgs/metakit/metakit-${MK4VERS}.tar.gz/17330257376eea657827ed632ea62c9e/metakit-${MK4VERS}.tar.gz"
           18  +SRCHASH='d1ba361d2d8517925cff5c23e8602822da9c8c347a75a15c225ec656ff7ca94d'
    18     19   BUILDDIR="$(pwd)/build/metakit-${MK4VERS}"
    19     20   OUTDIR="$(pwd)/out"
    20     21   INSTDIR="$(pwd)/inst"
    21     22   PATCHDIR="$(pwd)/patches"
    22     23   export MK4VERS SRC SRCURL BUILDDIR OUTDIR INSTDIR PATCHDIR
    23     24   
    24     25   # Set configure options for this sub-project
................................................................................
    38     39   fi
    39     40   export TCL_VERSION
    40     41   
    41     42   if [ ! -f "${SRC}" ]; then
    42     43   	mkdir 'src' >/dev/null 2>/dev/null
    43     44   
    44     45   	if [ ! -d 'buildsrc' ]; then
    45         -		download "${SRCURL}" "${SRC}" - || exit 1
           46  +		download "${SRCURL}" "${SRC}" "${SRCHASH}" || exit 1
    46     47   	fi
    47     48   fi
    48     49   
    49     50   (
    50     51   	cd 'build' || exit 1
    51     52   
    52     53   	if [ ! -d '../buildsrc' ]; then

Modified nsf/build.sh from [bff94825d0] to [8ab6337fe5].

    11     11       exit 1
    12     12   fi
    13     13   
    14     14   NSFVERS="2.0.0"
    15     15   NSFVERSEXTRA=""
    16     16   SRC="src/nsf${NSFVERS}.tar.gz"
    17     17   SRCURL="http://sourceforge.net/projects/next-scripting/files/${NSFVERS}/nsf${NSFVERS}.tar.gz/download"
           18  +SRCHASH='-'
    18     19   BUILDDIR="$(pwd)/build/nsf${NSFVERS}"
    19     20   OUTDIR="$(pwd)/out"
    20     21   INSTDIR="$(pwd)/inst"
    21     22   export NSFVERS SRC SRCURL BUILDDIR OUTDIR INSTDIR
    22     23   
    23     24   # Set configure options for this sub-project
    24     25   LDFLAGS="${LDFLAGS} ${KC_NSF_LDFLAGS}"
................................................................................
    30     31   rm -rf 'build' 'out' 'inst'
    31     32   mkdir 'build' 'out' 'inst' || exit 1
    32     33   
    33     34   if [ ! -f "${SRC}" ]; then
    34     35       mkdir 'src' >/dev/null 2>/dev/null
    35     36       
    36     37       if [ ! -d 'buildsrc' ]; then
    37         -	download "${SRCURL}" "${SRC}" - || exit 1
           38  +	download "${SRCURL}" "${SRC}" "${SRCHASH}" || exit 1
    38     39       fi
    39     40   fi
    40     41   
    41     42   (
    42     43       cd 'build' || exit 1
    43     44       
    44     45       if [ ! -d '../buildsrc' ]; then

Modified tcc4tcl/build.sh from [5a95feee8a] to [4a37f7a73e].

    10     10   
    11     11   	exit 1
    12     12   fi
    13     13   
    14     14   TCC4TCLVERS="0.23"
    15     15   SRC="src/tcc4tcl-${TCC4TCLVERS}.tar.gz"
    16     16   SRCURL="http://rkeene.org/devel/tcc4tcl/tcc4tcl-${TCC4TCLVERS}.tar.gz"
           17  +SRCHASH='-'
    17     18   BUILDDIR="$(pwd)/build/tcc4tcl-${TCC4TCLVERS}"
    18     19   OUTDIR="$(pwd)/out"
    19     20   INSTDIR="$(pwd)/inst"
    20     21   PATCHDIR="$(pwd)/patches"
    21     22   export TCC4TCLVERS SRC SRCURL BUILDDIR OUTDIR INSTDIR PATCHDIR
    22     23   
    23     24   # Set configure options for this sub-project
................................................................................
    36     37   fi
    37     38   export TCL_VERSION
    38     39   
    39     40   if [ ! -f "${SRC}" ]; then
    40     41   	mkdir 'src' >/dev/null 2>/dev/null
    41     42   
    42     43   	if [ ! -d 'buildsrc' ]; then
    43         -		download "${SRCURL}" "${SRC}.tmp" - || exit 1
           44  +		download "${SRCURL}" "${SRC}.tmp" "${SRCHASH}" || exit 1
    44     45   	fi
    45     46   fi
    46     47   
    47     48   (
    48     49   	cd 'build' || exit 1
    49     50   
    50     51   	if [ ! -d '../buildsrc' ]; then

Modified tcl/build.sh from [d77e5eb40c] to [24178e9f3f].

     9      9   	echo 'ERROR: The TCLVERS environment variable is not set' >&2
    10     10   
    11     11   	exit 1
    12     12   fi
    13     13   
    14     14   SRC="src/tcl${TCLVERS}.tar.gz"
    15     15   SRCURL="http://prdownloads.sourceforge.net/tcl/tcl${TCLVERS}-src.tar.gz"
           16  +SRCHASH='-'
    16     17   BUILDDIR="$(pwd)/build/tcl${TCLVERS}"
    17     18   OUTDIR="$(pwd)/out"
    18     19   INSTDIR="$(pwd)/inst"
    19     20   PATCHSCRIPTDIR="$(pwd)/patchscripts"
    20     21   PATCHDIR="$(pwd)/patches"
    21     22   export SRC SRCURL BUILDDIR OUTDIR INSTDIR PATCHSCRIPTDIR PATCHDIR
           23  +
           24  +case "${TCLVERS}" in
           25  +	8.6.4)
           26  +		SRCHASH='9e6ed94c981c1d0c5f5fefb8112d06c6bf4d050a7327e95e71d417c416519c8d'
           27  +		;;
           28  +esac
    22     29   
    23     30   # Set configure options for this sub-project
    24     31   LDFLAGS="${LDFLAGS} ${KC_TCL_LDFLAGS}"
    25     32   CFLAGS="${CFLAGS} ${KC_TCL_CFLAGS}"
    26     33   CPPFLAGS="${CPPFLAGS} ${KC_TCL_CPPFLAGS}"
    27     34   LIBS="${LIBS} ${KC_TCL_LIBS}"
    28     35   export LDFLAGS CFLAGS CPPFLAGS LIBS
................................................................................
   147    154   
   148    155   			cd ..
   149    156   
   150    157   			rm -rf "${workdir}"
   151    158   		) || exit 1
   152    159   	else
   153    160   		if [ ! -d 'buildsrc' ]; then
   154         -			download "${SRCURL}" "${SRC}" - || (
          161  +			download "${SRCURL}" "${SRC}" "${SRCHASH}" || (
   155    162   				echo '  Unable to download source code for Tcl.' >&4
   156    163   				echo '  Aborting Tcl -- further packages will likely also fail.' >&4
   157    164   
   158    165   				exit 1
   159    166   			) || exit 1
   160    167   		fi
   161    168   	fi

Modified tcllib/build.sh from [7e265f11b2] to [9121776c39].

     1      1   #! /usr/bin/env bash
     2      2   
     3      3   TCLLIB_VERS='1.16'
     4      4   SRC="src/tcllib-${TCLLIB_VERS}.tar.bz2"
     5      5   SRCURL="http://sourceforge.net/projects/tcllib/files/tcllib/${TCLLIB_VERS}/tcllib-${TCLLIB_VERS}.tar.bz2"
            6  +SRCHASH='-'
     6      7   BUILDDIR="$(pwd)/build/Tcllib-${TCLLIB_VERS}"
     7      8   OUTDIR="$(pwd)/out"
     8      9   INSTDIR="$(pwd)/inst"
     9     10   PATCHDIR="$(pwd)/patches"
    10     11   export TCLLIB_VERS SRC SRCURL BUILDDIR OUTDIR INSTDIR PATCHDIR
    11     12   
    12     13   rm -rf 'build' 'out' 'inst'
    13     14   mkdir 'build' 'out' 'inst' || exit 1
    14     15   
    15     16   if [ ! -f "${SRC}" ]; then
    16     17   	mkdir 'src' >/dev/null 2>/dev/null
    17     18   
    18     19   	if [ ! -d 'buildsrc' ]; then
    19         -		download "${SRCURL}" "${SRC}" - || exit 1
           20  +		download "${SRCURL}" "${SRC}" "${SRCHASH}" || exit 1
    20     21   	fi
    21     22   fi
    22     23   
    23     24   (
    24     25   	cd 'build' || exit 1
    25     26   
    26     27   	if [ ! -d '../buildsrc' ]; then

Modified tclvfs/build.sh from [55e0cfef36] to [80cc783e96].

    10     10   
    11     11   	exit 1
    12     12   fi
    13     13   
    14     14   TCLVFSVERS="20080503"
    15     15   SRC="src/tclvfs-${TCLVFSVERS}.tar.gz"
    16     16   SRCURL="http://sourceforge.net/projects/tclvfs/files/tclvfs/tclvfs-${TCLVFSVERS}/tclvfs-${TCLVFSVERS}.tar.gz/download"
           17  +SRCHASH='0d90362078c8f59347b14be377e9306336b6d25d147397f845e705a6fa1d38f2'
    17     18   BUILDDIR="$(pwd)/build/tclvfs-${TCLVFSVERS}"
    18     19   OUTDIR="$(pwd)/out"
    19     20   INSTDIR="$(pwd)/inst"
    20     21   PATCHDIR="$(pwd)/patches"
    21     22   export TCLVFSVERS SRC SRCURL BUILDDIR OUTDIR INSTDIR PATCHDIR
    22     23   
    23     24   # Set configure options for this sub-project
................................................................................
    36     37   fi
    37     38   export TCL_VERSION
    38     39   
    39     40   if [ ! -f "${SRC}" ]; then
    40     41   	mkdir 'src' >/dev/null 2>/dev/null
    41     42   
    42     43   	if [ ! -d 'buildsrc' ]; then
    43         -		download "${SRCURL}" "${SRC}" - || exit 1
           44  +		download "${SRCURL}" "${SRC}" "${SRCHASH}" || exit 1
    44     45   	fi
    45     46   fi
    46     47   
    47     48   (
    48     49   	cd 'build' || exit 1
    49     50   
    50     51   	if [ ! -d '../buildsrc' ]; then

Modified tclx/build.sh from [48e26ee9c7] to [0d543b9c73].

    10     10   
    11     11   	exit 1
    12     12   fi
    13     13   
    14     14   TCLXVERS="8.4.1"
    15     15   SRC="src/tclx${TCLXVERS}.tar.bz2"
    16     16   SRCURL="http://sourceforge.net/projects/tclx/files/TclX/${TCLXVERS}/tclx${TCLXVERS}.tar.bz2/download"
           17  +SRCHASH='-'
    17     18   BUILDDIR="$(pwd)/build/tclx8.4"
    18     19   OUTDIR="$(pwd)/out"
    19     20   INSTDIR="$(pwd)/inst"
    20     21   PATCHDIR="$(pwd)/patches"
    21     22   export TCLXVERS SRC SRCURL BUILDDIR OUTDIR INSTDIR PATCHDIR
    22     23   
    23     24   # Set configure options for this sub-project
................................................................................
    36     37   fi
    37     38   export TCL_VERSION
    38     39   
    39     40   if [ ! -f "${SRC}" ]; then
    40     41   	mkdir 'src' >/dev/null 2>/dev/null
    41     42   
    42     43   	if [ ! -d 'buildsrc' ]; then
    43         -		download "${SRCURL}" "${SRC}" - || exit 1
           44  +		download "${SRCURL}" "${SRC}" "${SRCHASH}" || exit 1
    44     45   	fi
    45     46   fi
    46     47   
    47     48   (
    48     49   	cd 'build' || exit 1
    49     50   
    50     51   	if [ ! -d '../buildsrc' ]; then

Modified thread/build.sh from [7585e00eba] to [1c20594f00].

    10     10   
    11     11   	exit 1
    12     12   fi
    13     13   
    14     14   THREADVERS="2.7.2"
    15     15   SRC="src/thread-${THREADVERS}.tar.gz"
    16     16   SRCURL="http://sourceforge.net/projects/tcl/files/Thread%20Extension/${THREADVERS}/thread${THREADVERS}.tar.gz/download"
           17  +SRCHASH='-'
    17     18   BUILDDIR="$(pwd)/build/thread${THREADVERS}"
    18     19   OUTDIR="$(pwd)/out"
    19     20   INSTDIR="$(pwd)/inst"
    20     21   export THREADVERS SRC SRCURL BUILDDIR OUTDIR INSTDIR
    21     22   
    22     23   # Set configure options for this sub-project
    23     24   LDFLAGS="${LDFLAGS} ${KC_THREAD_LDFLAGS}"
................................................................................
    54     55   	exit 1
    55     56   ) || exit 0
    56     57   
    57     58   if [ ! -f "${SRC}" ]; then
    58     59   	mkdir 'src' >/dev/null 2>/dev/null
    59     60   
    60     61   	if [ ! -d 'buildsrc' ]; then
    61         -		download "${SRCURL}" "${SRC}" - || exit 1
           62  +		download "${SRCURL}" "${SRC}" "${SRCHASH}" || exit 1
    62     63   	fi
    63     64   fi
    64     65   
    65     66   (
    66     67   	cd 'build' || exit 1
    67     68   
    68     69   	if [ ! -d '../buildsrc' ]; then

Modified tk/build.sh from [6d3a5c12f3] to [b84462b734].

     9      9   	echo 'ERROR: The TCLVERS environment variable is not set' >&2
    10     10   
    11     11   	exit 1
    12     12   fi
    13     13   
    14     14   SRC="src/tk${TCLVERS}.tar.gz"
    15     15   SRCURL="http://prdownloads.sourceforge.net/tcl/tk${TCLVERS}-src.tar.gz"
           16  +SRCHASH='-'
    16     17   BUILDDIR="$(pwd)/build/tk${TCLVERS}"
    17     18   PATCHDIR="$(pwd)/patches"
    18     19   OUTDIR="$(pwd)/out"
    19     20   INSTDIR="$(pwd)/inst"
    20     21   PATCHSCRIPTDIR="$(pwd)/patchscripts"
    21     22   export SRC SRCURL BUILDDIR PATCHDIR OUTDIR INSTDIR PATCHSCRIPTDIR
           23  +
           24  +case "${TCLVERS}" in
           25  +	8.6.4)
           26  +		SRCHASH='08f99df85e5dc9c4271762163c6aabb962c8b297dc5c4c1af8bdd05fc2dd26c1'
           27  +		;;
           28  +esac
    22     29   
    23     30   # Set configure options for this sub-project
    24     31   LDFLAGS="${LDFLAGS} ${KC_TK_LDFLAGS}"
    25     32   CFLAGS="${CFLAGS} ${KC_TK_CFLAGS}"
    26     33   CPPFLAGS="${CPPFLAGS} ${KC_TK_CPPFLAGS}"
    27     34   LIBS="${LIBS} ${KC_TK_LIBS}"
    28     35   export LDFLAGS CFLAGS CPPFLAGS LIBS
................................................................................
    94    101   			tar -cf - "tk${TCLVERS}" | gzip -c > "../../${SRC}"
    95    102   
    96    103   			cd ..
    97    104   			rm -rf "${workdir}"
    98    105   		)
    99    106   	else
   100    107   		if [ ! -d 'buildsrc' ]; then
   101         -			download "${SRCURL}" "${SRC}" - || exit 1
          108  +			download "${SRCURL}" "${SRC}" "${SRCHASH}" || exit 1
   102    109   		fi
   103    110   	fi
   104    111   fi
   105    112   
   106    113   (
   107    114   	cd 'build' || exit 1
   108    115   

Modified tls/build.sh from [2d1611de7f] to [beb5ae7496].

    10     10   
    11     11   	exit 1
    12     12   fi
    13     13   
    14     14   TLSVERS="1.6.7"
    15     15   SRC="src/tls-${TLSVERS}.tar.gz"
    16     16   SRCURL="http://sourceforge.net/projects/tls/files/tls/${TLSVERS}/tls${TLSVERS}-src.tar.gz"
           17  +SRCHASH='-'
    17     18   BUILDDIR="$(pwd)/build/tls${TLSVERS}"
    18     19   OUTDIR="$(pwd)/out"
    19     20   INSTDIR="$(pwd)/inst"
    20     21   PATCHDIR="$(pwd)/patches"
    21     22   export TLSVERS SRC SRCURL BUILDDIR OUTDIR INSTDIR PATCHDIR
    22     23   
    23     24   # Set configure options for this sub-project
................................................................................
    36     37   fi
    37     38   export TCL_VERSION
    38     39   
    39     40   if [ ! -f "${SRC}" ]; then
    40     41   	mkdir 'src' >/dev/null 2>/dev/null
    41     42   
    42     43   	if [ ! -d 'buildsrc' ]; then
    43         -		download "${SRCURL}" "${SRC}" - || exit 1
           44  +		download "${SRCURL}" "${SRC}" "${SRCHASH}" || exit 1
    44     45   	fi
    45     46   fi
    46     47   
    47     48   (
    48     49   	cd 'build' || exit 1
    49     50   
    50     51   	if [ ! -d '../buildsrc' ]; then

Modified udp/build.sh from [1eface7444] to [ee0f2b8a9c].

    10     10   
    11     11   	exit 1
    12     12   fi
    13     13   
    14     14   TCLUDPVERS="1.0.11"
    15     15   SRC="src/tcludp-${TCLUDPVERS}.tar.gz"
    16     16   SRCURL="http://sourceforge.net/projects/tcludp/files/tcludp/${TCLUDPVERS}/tcludp-${TCLUDPVERS}.tar.gz"
           17  +SRCHASH='-'
    17     18   BUILDDIR="$(pwd)/build/tcludp"
    18     19   OUTDIR="$(pwd)/out"
    19     20   INSTDIR="$(pwd)/inst"
    20     21   PATCHDIR="$(pwd)/patches"
    21     22   export TCLUDPVERS SRC SRCURL BUILDDIR OUTDIR INSTDIR PATCHDIR
    22     23   
    23     24   # Set configure options for this sub-project
................................................................................
    36     37   fi
    37     38   export TCL_VERSION
    38     39   
    39     40   if [ ! -f "${SRC}" ]; then
    40     41   	mkdir 'src' >/dev/null 2>/dev/null
    41     42   
    42     43   	if [ ! -d 'buildsrc' ]; then
    43         -		download "${SRCURL}" "${SRC}" - || exit 1
           44  +		download "${SRCURL}" "${SRC}" "${SRCHASH}" || exit 1
    44     45   	fi
    45     46   fi
    46     47   
    47     48   (
    48     49   	cd 'build' || exit 1
    49     50   
    50     51   	if [ ! -d '../buildsrc' ]; then

Modified yajltcl/build.sh from [0ac8109c1f] to [efe0f47413].

    12     12   fi
    13     13   
    14     14   YAJLTCLVERS="1.5"
    15     15   YAJLVERS='2.1.0'
    16     16   SRC="src/yajltcl-${YAJLTCLVERS}.tar.gz"
    17     17   YAJLSRC="src/yajl-${YAJLVERS}.tar.gz"
    18     18   SRCURL="https://github.com/flightaware/yajl-tcl/archive/v${YAJLTCLVERS}.tar.gz"
           19  +SRCHASH='-'
    19     20   YAJLSRCURL="http://github.com/lloyd/yajl/tarball/${YAJLVERS}"
           21  +YAJLSRCHASH='-'
    20     22   BUILDDIR="$(pwd)/build/yajl-tcl-${YAJLTCLVERS}"
    21     23   YAJLBUILDDIR="$(pwd)/build/lloyd-yajl-66cb08c"
    22     24   OUTDIR="$(pwd)/out"
    23     25   INSTDIR="$(pwd)/inst"
    24     26   PATCHDIR="$(pwd)/patches"
    25     27   export YAJLTCLVERS SRC SRCURL BUILDDIR OUTDIR INSTDIR PATCHDIR
    26     28   
................................................................................
    34     36   rm -rf 'build' 'out' 'inst'
    35     37   mkdir 'build' 'out' 'inst' || exit 1
    36     38   
    37     39   if [ ! -d 'buildsrc' ]; then
    38     40   	mkdir 'src' >/dev/null 2>/dev/null
    39     41   
    40     42   	if [ ! -f "${SRC}" ]; then
    41         -		download "${SRCURL}" "${SRC}" - || exit 1
           43  +		download "${SRCURL}" "${SRC}" "${SRCHASH}" || exit 1
    42     44   	fi
    43     45   
    44     46   	if [ ! -f "${YAJLSRC}" ]; then
    45         -		download "${YAJLSRCURL}" "${YAJLSRC}" - || exit 1
           47  +		download "${YAJLSRCURL}" "${YAJLSRC}" "${YAJLSRCHASH}" || exit 1
    46     48   	fi
    47     49   fi
    48     50   
    49     51   (
    50     52   	cd 'build' || exit 1
    51     53   
    52     54   	if [ ! -d '../buildsrc' ]; then

Modified zlib/build.sh from [ad6eceef53] to [9b9da94e1d].

    10     10   
    11     11   	exit 1
    12     12   fi
    13     13   
    14     14   ZLIBVERS="1.2.8"
    15     15   SRC="src/zlib-${ZLIBVERS}.tar.gz"
    16     16   SRCURL="http://sourceforge.net/projects/libpng/files/zlib/${ZLIBVERS}/zlib-${ZLIBVERS}.tar.gz/download"
           17  +SRCHASH='36658cb768a54c1d4dec43c3116c27ed893e88b02ecfcb44f2166f9c0b7f2a0d'
    17     18   BUILDDIR="$(pwd)/build/zlib-${ZLIBVERS}"
    18     19   OUTDIR="$(pwd)/out"
    19     20   INSTDIR="$(pwd)/inst"
    20     21   export ZLIBVERS SRC SRCURL BUILDDIR OUTDIR INSTDIR
    21     22   
    22     23   # Set configure options for this sub-project
    23     24   LDFLAGS="${LDFLAGS} ${KC_ZLIB_LDFLAGS}"
................................................................................
    29     30   rm -rf 'build' 'out' 'inst'
    30     31   mkdir 'build' 'out' 'inst' || exit 1
    31     32   
    32     33   if [ ! -f "${SRC}" ]; then
    33     34   	mkdir 'src' >/dev/null 2>/dev/null
    34     35   
    35     36   	if [ ! -d 'buildsrc' ]; then
    36         -		download "${SRCURL}" "${SRC}" - || exit 1
           37  +		download "${SRCURL}" "${SRC}" "${SRCHASH}" || exit 1
    37     38   	fi
    38     39   fi
    39     40   
    40     41   (
    41     42   	cd 'build' || exit 1
    42     43   
    43     44   	if [ ! -d '../buildsrc' ]; then